Bug 712000 - [bnx2x_extract_max_cfg:1079(ethxx)]Illegal configuration detected for Max BW - using 100 instead
Summary: [bnx2x_extract_max_cfg:1079(ethxx)]Illegal configuration detected for Max BW ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Michal Schmidt
QA Contact: Network QE
URL:
Whiteboard:
Depends On:
Blocks: GSS_6_2_PROPOSED 732379
TreeView+ depends on / blocked
 
Reported: 2011-06-09 09:01 UTC by Andre ten Bohmer
Modified: 2018-11-27 21:36 UTC (History)
22 users (show)

Fixed In Version: kernel-2.6.32-175.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the following message appeared in kernel log files: [bnx2x_extract_max_cfg:1079(eth11)]Illegal configuration detected for Max BW - using 100 instead The above message appeared on bnx2x interfaces in the multi-function mode which were not used and had no link, thus, not indicating any actual problems with connectivity. With this update, the message has been removed and no longer appears in kernel log files.
Clone Of:
: 727614 (view as bug list)
Environment:
Last Closed: 2011-12-06 13:37:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 56532 None None None Never
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Andre ten Bohmer 2011-06-09 09:01:12 UTC
After upgrading from kernel 2.6.32-71.29.1.el6.x86_64 onto 2.6.32-131.0.15.el6.x86_64, the console and kernel fill up with following messages:

[bnx2x_extract_max_cfg:1079(eth11)]Illegal configuration detected for Max BW - using 100 instead [bnx2x_extract_max_cfg:1079(eth10)]Illegal configuration detected for Max BW - using 100 instead [bnx2x_extract_max_cfg:1079(eth9)]Illegal configuration detected for Max BW - using 100 instead [bnx2x_extract_max_cfg:1079(eth12)]Illegal configuration detected for Max BW - using 100 instead

Today upgraded onto kernel 2.6.32-131.2.1.el6.x86_64, but to no avail.

RHEL6.1 installed on a HP-Blade bl460c-g6 with HP VirtualConnect, so the server has 8 virtual networking devices from which 2 are active. I've teamed all 8 devices into one bonding device.

]# lspci
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.1 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.2 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.3 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.4 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.5 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.6 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe
02:00.7 Ethernet controller: Broadcom Corporation NetXtreme II BCM57711E 10-Gigabit PCIe

network-scripts]# cat ifcfg-eth8
DEVICE="eth8"
BOOTPROTO="static"
NM_CONTROLLED="yes"
ONBOOT="yes"
SLAVE=yes
MASTER=bond0

These messages only show up for the 6 devices which are not active and have no link. The servers network connectivity seems to be oke.
Should I change this setup, or use a special module parameter on loading bnx2x, or a regression bug maybe?

Comment 3 Michal Schmidt 2011-06-15 12:55:24 UTC
What is the rate at which these messages appear?
Is it possible to reproduce the bug without the bond?

Comment 4 Andre ten Bohmer 2011-06-27 09:58:50 UTC
Sorry for the late response!

Now running kernel : 2.6.32-131.4.1.el6.x86_64

The rate is fast: 1 per second for echt device, so the console/kernel ring fill's up quiet fast

Without bonding is possible, but takes caution because it's a production NFS file server with also 802.1q

Comment 6 Andre ten Bohmer 2011-06-28 09:36:46 UTC
Tested without bonding but to no avail

Comment 8 Flavio Leitner 2011-07-11 18:41:12 UTC
Hi Michal,

The interfaces aren't bonded and the message is triggered everytime a ethtool get_settings() is called.

get_settings()
+ bnx2x_get_settings()
...
  if (IS_MF(bp))
     cmd->speed = bnx2x_get_mf_speed(bp);
...
  + bnx2x_get_mf_speed()
...
        if (IS_MF(bp)) {
                u16 maxCfg = bnx2x_extract_max_cfg(bp,
                                                   bp->mf_config[BP_VN(bp)]);

static inline u16 bnx2x_extract_max_cfg(struct bnx2x *bp, u32 mf_cfg)
{                                                  
        u16 max_cfg = (mf_cfg & FUNC_MF_CFG_MAX_BW_MASK) >>
                              FUNC_MF_CFG_MAX_BW_SHIFT;
        if (!max_cfg) {
                BNX2X_ERR("Illegal configuration detected for Max BW - "
                          "using 100 instead\n");
                max_cfg = 100;
        }       
        return max_cfg; 
}       

We tried to set speed hoping it would update the firmware as well and stop the messages, but it didn't work.  Somehow these cards have max_cfg = 0.

What would cause the firmware to update max bw?

What's the default max bw? Because either it was set to 0 somehow or the default is 0.

thanks!

Comment 9 Michal Schmidt 2011-07-14 13:54:37 UTC
devel ACK for 6.2. I am working on a driver rebase which will hopefully fix this too. If it does not, I will consider removing the message, because there is no actual problem with connectivity.

Comment 10 RHEL Program Management 2011-07-14 14:10:36 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 18 Peter Struhar 2011-07-26 16:32:01 UTC
(In reply to comment #9)
> devel ACK for 6.2. I am working on a driver rebase which will hopefully fix
> this too. If it does not, I will consider removing the message, because there
> is no actual problem with connectivity.

this is also present in bnx2x dirver in rhel 5.7 

[bnx2x_extract_max_cfg:1074(eth6)]Illegal configuration detected for Max BW - using 100 instead
[bnx2x_extract_max_cfg:1074(eth7)]Illegal configuration detected for Max BW - using 100 instead


[root@test1 src]# lsb_release -a
LSB Version:    :core-4.0-amd64:core-4.0-ia32:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-ia32:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-ia32:printing-4.0-noarch
Distributor ID: RedHatEnterpriseServer
Description:    Red Hat Enterprise Linux Server release 5.7 (Tikanga)
Release:        5.7
Codename:       Tikanga

same behaviour, for interfaces which dont have link speed defined in virtual connect (arent used in real and arent setup at all in system) driver tries to determine it as system sees them

can the urgency be raised and also fix applied to 5.7 driver ?

Comment 21 Kyle McMartin 2011-08-01 15:17:50 UTC
Patch(es) available on kernel-2.6.32-175.el6

Comment 23 Simon Pickering 2011-08-01 16:09:53 UTC
Is there going to be a fix for kernel 2.6.18 for the RHEL 5.7 issue ?

Comment 26 vargasmasp 2011-08-09 11:14:27 UTC
Is there going to be a fix for this exact same issue on kernel 2.6.18 for RHEL 5.7?

Comment 27 Andre ten Bohmer 2011-08-09 15:14:28 UTC
This is insane, we had no problems at all with 5.6 installations, but 5.7 introduces the same problem we have with 6.1 installations. Glitch in the redhat kernel/drivers quality procedures?

Comment 28 Michal Schmidt 2011-08-11 08:54:14 UTC
The same bug in RHEL5 is tracked in bug 727614.
Please give the RHEL5 test kernel a try:
 http://people.redhat.com/mschmidt/bz727614/

A Broadcom developer says that the error message indicates an actual configuration problem and the proper fix is to fix the multifunction configuration. The Max BW parameter for each function is supposed to be in the interval from 1 to 100.
 "[...] In some blade servers DCC protocol is used to update NIC configuration. Some servers/NICs use preboot menus (usually accessible by CTRL+S during boot)."

But even though the error message indicates a configuration problem, it is a kernel bug that the message is produced repeatedly. It should warn only once per each configuration error detected.

The expected behaviour of test patch in the RHEL5 kernel above is to suppress the repeated messages. It should still produce one or more of these error message on startup. I would like to see these messages, so please attach the output of "dmesg" when testing the RHEL5 build. Thanks!

Comment 29 Andre ten Bohmer 2011-08-11 09:30:45 UTC
Just updated 5.7 test kernel results (bug 727614) , results look good!

Comment 32 Siert Z. 2011-08-12 09:46:46 UTC
No access to 727614, but I can confirm the test kernel for RHEL5 works fine.

Comment 36 ifflands 2011-09-14 14:44:40 UTC
I am also unable to access bug 727614, but the test kernel worked fine for me also on RHEL5.  Is there any planned release date?  I have about 45 servers suffering from this problem.

Thanks,

Sean

Comment 37 Martin Prpič 2011-10-06 13:40:36 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the following message appeared in kernel log files:

    [bnx2x_extract_max_cfg:1079(eth11)]Illegal configuration detected for Max BW - using 100 instead

    The above message appeared on bnx2x interfaces in the multi-function mode which were not used and had no link, thus, not indicating any actual problems with connectivity. With this update, the message has been removed and no longer appears in kernel log files.

Comment 38 Weibing Zhang 2011-10-27 09:31:24 UTC
No error message appears on kernel-2.6.32-188.el6 and kernel-2.6.32-211.el6 with a bnx2x
BCM57711E NIC.


Set Verified.

Comment 39 errata-xmlrpc 2011-12-06 13:37:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.